StreamingJobsOperations Class
StreamingJobsOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectStreamingJobsOperations
Constructor
StreamingJobsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_create_or_replace |
Creates a streaming job or replaces an already existing streaming job. |
| begin_delete |
Deletes a streaming job. |
| begin_start |
Starts a streaming job. Once a job is started it will start processing input events and produce output. |
| begin_stop |
Stops a running streaming job. This will cause a running streaming job to stop processing input events and producing output. |
| get |
Gets details about the specified streaming job. |
| list |
Lists all of the streaming jobs in the given subscription. |
| list_by_resource_group |
Lists all of the streaming jobs in the specified resource group. |
| update |
Updates an existing streaming job. This can be used to partially update (ie. update one or two properties) a streaming job without affecting the rest the job definition. |
begin_create_or_replace
Creates a streaming job or replaces an already existing streaming job.
async begin_create_or_replace(resource_group_name: str, job_name: str, streaming_job: azure.mgmt.streamanalytics.models._models_py3.StreamingJob, if_match: Optional[str] = None, if_none_match: Optional[str] = None, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.streamanalytics.models._models_py3.StreamingJob]
Parameters
- streaming_job
- <xref:stream_analytics_management_client.models.StreamingJob>
The definition of the streaming job that will be used to create a new streaming job or replace the existing one.
- if_match
- str
The ETag of the streaming job. Omit this value to always overwrite the current record set. Specify the last-seen ETag value to prevent accidentally overwriting concurrent changes.
- if_none_match
- str
Set to '*' to allow a new streaming job to be created, but to prevent updating an existing record set. Other values will result in a 412 Pre-condition Failed response.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either StreamingJob or the result of cls(response)
Return type
Exceptions
begin_delete
Deletes a streaming job.
async begin_delete(resource_group_name: str, job_name: str, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_start
Starts a streaming job. Once a job is started it will start processing input events and produce output.
async begin_start(resource_group_name: str, job_name: str, start_job_parameters: Optional[azure.mgmt.streamanalytics.models._models_py3.StartStreamingJobParameters] = None, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[None]
Parameters
- start_job_parameters
- <xref:stream_analytics_management_client.models.StartStreamingJobParameters>
Parameters applicable to a start streaming job operation.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_stop
Stops a running streaming job. This will cause a running streaming job to stop processing input events and producing output.
async begin_stop(resource_group_name: str, job_name: str, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[None]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or AsyncPollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either None or the result of cls(response)
Return type
Exceptions
get
Gets details about the specified streaming job.
async get(resource_group_name: str, job_name: str, expand: Optional[str] = None, **kwargs) -> azure.mgmt.streamanalytics.models._models_py3.StreamingJob
Parameters
- expand
- str
The $expand OData query parameter. This is a comma-separated list of additional streaming job properties to include in the response, beyond the default set returned when this parameter is absent. The default set is all streaming job properties other than 'inputs', 'transformation', 'outputs', and 'functions'.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
StreamingJob, or the result of cls(response)
Return type
Exceptions
list
Lists all of the streaming jobs in the given subscription.
list(expand: Optional[str] = None, **kwargs) -> AsyncIterable[azure.mgmt.streamanalytics.models._models_py3.StreamingJobListResult]
Parameters
- expand
- str
The $expand OData query parameter. This is a comma-separated list of additional streaming job properties to include in the response, beyond the default set returned when this parameter is absent. The default set is all streaming job properties other than 'inputs', 'transformation', 'outputs', and 'functions'.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either StreamingJobListResult or the result of cls(response)
Return type
Exceptions
list_by_resource_group
Lists all of the streaming jobs in the specified resource group.
list_by_resource_group(resource_group_name: str, expand: Optional[str] = None, **kwargs) -> AsyncIterable[azure.mgmt.streamanalytics.models._models_py3.StreamingJobListResult]
Parameters
- expand
- str
The $expand OData query parameter. This is a comma-separated list of additional streaming job properties to include in the response, beyond the default set returned when this parameter is absent. The default set is all streaming job properties other than 'inputs', 'transformation', 'outputs', and 'functions'.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either StreamingJobListResult or the result of cls(response)
Return type
Exceptions
update
Updates an existing streaming job. This can be used to partially update (ie. update one or two properties) a streaming job without affecting the rest the job definition.
async update(resource_group_name: str, job_name: str, streaming_job: azure.mgmt.streamanalytics.models._models_py3.StreamingJob, if_match: Optional[str] = None, **kwargs) -> azure.mgmt.streamanalytics.models._models_py3.StreamingJob
Parameters
- streaming_job
- <xref:stream_analytics_management_client.models.StreamingJob>
A streaming job object. The properties specified here will overwrite the corresponding properties in the existing streaming job (ie. Those properties will be updated). Any properties that are set to null here will mean that the corresponding property in the existing input will remain the same and not change as a result of this PATCH operation.
- if_match
- str
The ETag of the streaming job. Omit this value to always overwrite the current record set. Specify the last-seen ETag value to prevent accidentally overwriting concurrent changes.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
StreamingJob, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.streamanalytics.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\streamanalytics\\models\\__init__.py'>
Feedback
Submit and view feedback for